- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Vec4d File Reference

`#include <osg/Vec3d>`
`#include <osg/Vec4f>`

Include dependency graph for Vec4d:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::Vec4d
| General purpose double quad. More...
## Defines
#define | OSG_VEC4D 1
## Functions
Vec4d::value_type | osg::operator * (const Vec3d &lhs, const Vec4d &rhs)
| Compute the dot product of a (Vec3,1.0) and a Vec4d.
Vec4d::value_type | osg::operator * (const Vec4d &lhs, const Vec3d &rhs)
| Compute the dot product of a Vec4d and a (Vec3,1.0).

## Define Documentation

#define OSG_VEC4D 1